#!/bin/ksh

cat <<EOF 
<HTML>
<HEAD>
    <!-- Copyright 1998 Petr Krysl-->
    <!-- Produced by $(basename $0), $(date) -->
    <TITLE>List of VDT test input meshes </TITLE>
</HEAD>
<BODY>

<i> Copyright (C) 1998 Petr Krysl.  Last modified $(date) </i> 
<p>
<center>
<b><i> These meshes have been produced by VDT, and are currently used to test
the mesher with.  </i></b>
</center>
<p>

<center>
EOF

i=0
for n in *.jpg
do
    echo '<TABLE BORDER="0">'
    echo "<TR><TD><a href=\"vdt/inputs/${n}.vin\"><IMG SRC=\"vdt/inputs/${n}\"</TD></a></TR>"
    echo "<CAPTION ALIGN=\"BOTTOM\">${n%%.jpg}</CAPTION>"
    echo '</TABLE>'
    i=$(($i+1))
    if [ $i -eq 4 ] ; then
        echo '<P>'
        i=0
    fi
done

cat <<EOF
</center>
</BODY>
</HTML>
EOF